Exiv2 - Patch #972

Update Panasonic EXIF Information
20 Jul 2014 10:20 - Bernd Steinhauser

Status: Closed Start date: 20 Jul 2014
Priority: Normal Due date: 08 Sep 2014
Assignee: Niels Kristian Bech Jensen % Done: 100%
Category: metadata Estimated time: 0.00 hour
Target version: 0.25

Description

Based on the information available at [1] and based on the output of the images of my Panasonic Lumix DMC-G6, | wrote a patch for
exiv2 updating the tags that | know of.
The second patch gets rid of a few duplicate entries which I'm not sure why they would be necessary, | can't see it.

Note that | broke compatibility with a few older cameras, since Panasonic doesn't seem to care too much about backwards
compatibility (i.e. contrast mode entry), but | thought it would be better to stick to current models rather than antique ones.

Associated revisions

Revision 3357 - 07 Sep 2014 20:57 - Niels Kristian Bech Jensen

Fix issues #929 and #972: Improve Panasonic makernotes support. Thanks goes to numerous people for patches and input.

History

#1 - 22 Jul 2014 14:21 - Robin Mills

- Category set to metadata

- Status changed from New to Assigned

- Assignee set to Niels Kristian Bech Jensen

- Target version set to 0.25
Bernd

Thanks for sending the patches. I'm going to assign this issue to Niels because he's our maker notes engineer.

Robin

#2 - 22 Jul 2014 23:10 - Bernd Steinhauser
Bernd Steinhauser wrote:
Based on the information available at [1]

Sorry, forgot the reference:
[1] http://www.sno.phy.queensu.ca/~phil/exiftool/TagNames/Panasonic.html

#3 - 06 Aug 2014 08:17 - T Modes
This is a duplicate of ticket #929

Also accelerometer settings and derived angles (pitch, roll) are only displayed as raw values and not the correctly converted values.

#4 - 06 Aug 2014 09:35 - Bernd Steinhauser

Yes, | noticed that the output isn't in degrees, but | wasn't sure how to handle it.

I'll take a look at the other patch and test it. If | have any comments, I'll post them in the other bug report. You can close this as a duplicate.
#5 - 07 Sep 2014 21:02 - Niels Kristian Bech Jensen

- Due date set to 08 Sep 2014

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100
http://www.sno.phy.queensu.ca/~phil/exiftool/TagNames/Panasonic.html
https://dev.exiv2.org/issues/929

#6 - 21 Jun 2015 16:41 - Andreas Huggel

- Status changed from Resolved to Closed

#7 - 24 Jun 2016 20:10 - Thomas Beutlich
- Subject changed from Update Panasoic EXIF Information to Update Panasonic EXIF Information

Files
0001-Update-exif-tag-information-for-Panasonic-cameras.patch 31.6 KB 20 Jul 2014 Bernd Steinhauser
0002-Remove-duplicate-entries-no-idea-why-they-would-be-n.patch  2.78 KB 20 Jul 2014 Bernd Steinhauser
